View Issue Details

IDProjectCategoryView StatusLast Update
0007154Talerwallet (WebExtensions)public2022-04-11 20:54
Reporterbelen Assigned Tosebasjm  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Summary0007154: Design and implement the 'pending activity' tab
DescriptionThis tab should show any transactions, for all currencies, that are in progress and have not completed yet.

It would be useful to have a list of cases for such in progress transactions. The one that comes to mind is a deposit transaction waiting for KYC to complete. Are there any others?
TagsNo tags attached.

Activities

belen

2022-03-07 17:18

developer   ~0018773

After some discussion, we decided to use a banner notification for displaying pending transactions instead of a tab. See attached files and

https://git.taler.net/large-media.git/tree/latest_transactions_tab

I reviewed the design with Sebastian last week. We agreed that, in the popup, the banner notification will have a maximum height sufficient to display 2 pending transactions. If more pending transactions exist the banner notification scrolls vertically.

The pending transactions should be sorted in inverse chronological order: the most recent one at the top.

Assigning to Sebastian for implementation
3.1_transaction_history.png (46,054 bytes)   
3.1_transaction_history.png (46,054 bytes)   

sebasjm

2022-04-11 20:54

developer   ~0018858

already implemented and tested

Issue History

Date Modified Username Field Change
2022-01-22 16:34 belen New Issue
2022-01-22 16:34 belen Status new => assigned
2022-01-22 16:34 belen Assigned To => belen
2022-01-22 16:34 belen Summary Design and implement the 'pending activity' => Design and implement the 'pending activity' tab
2022-03-07 17:18 belen Note Added: 0018773
2022-03-07 17:18 belen File Added: 1.2_popup_pending_transactions.png
2022-03-07 17:18 belen File Added: 1.3_popup_one_pending_transaction.png
2022-03-07 17:18 belen File Added: 1_popup_no_pending_transactions.png
2022-03-07 17:18 belen File Added: 3.1_transaction_history.png
2022-03-07 17:18 belen File Added: 3.2_transaction_history_pending_transactions.png
2022-03-07 17:18 belen Assigned To belen => sebasjm
2022-04-11 20:54 sebasjm Status assigned => resolved
2022-04-11 20:54 sebasjm Resolution open => fixed
2022-04-11 20:54 sebasjm Note Added: 0018858